# ARXLattice.ARXNode (ARX GUI Documentation)

org.deidentifier.arx

## Class ARXLattice.ARXNode

- java.lang.Object
- - org.deidentifier.arx.ARXLattice.ARXNode

- Enclosing class:
    ARXLattice

      public class ARXLattice.ARXNode
      extends java.lang.Object

  A node in the lattice.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `ARXLattice.ARXNode.Access` Internal access class.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ARXLattice.ARXNode(ARXLattice lattice)` Internal constructor for deserialization.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ARXLattice.ARXNode.Access` | `access()` Alter associated fields.
    `void` | `expand()` Materializes any non-materialized predecessors and successors
    `ARXLattice.Anonymity` | `getAnonymity()` Returns the anonymity property.
    `java.util.Map<java.lang.Integer,java.lang.Object>` | `getAttributes()` Returns the attributes.
    `int` | `getDimension(java.lang.String attr)` Returns the index of an attribute.
    `int` | `getGeneralization(java.lang.String attribute)` Returns the generalization for the attribute.
    `InformationLoss<?>` | `getHighestScore()` Returns the highest score.
    `protected java.lang.Integer` | `getId()` Returns a node's internal id.
    `protected InformationLoss<?>` | `getLowerBound()` Returns a node's lower bound, if any.
    `InformationLoss<?>` | `getLowestScore()` Returns the highest score.
    `InformationLoss<?>` | `getMaximumInformationLoss()` Deprecated.
    `InformationLoss<?>` | `getMinimumInformationLoss()` Deprecated.
    `ARXLattice.ARXNode[]` | `getPredecessors()` The predecessors.
    `java.lang.String[]` | `getQuasiIdentifyingAttributes()` Returns the quasi identifiers.
    `ARXLattice.ARXNode[]` | `getSuccessors()` The successors.
    `int` | `getTotalGeneralizationLevel()` Returns the sum of all generalization levels.
    `int[]` | `getTransformation()` Returns the transformation as an array.
    `ARXLattice.Anonymity` | `isAnonymous()` Deprecated.
    `boolean` | `isChecked()` Returns if the node has been checked explicitly.
    `ElementData` | `render()` Renders this object
    `protected void` | `setId(int id)` Internal method that sets the id.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ARXLattice.ARXNode

          public ARXLattice.ARXNode(ARXLattice lattice)

      Internal constructor for deserialization.
      Parameters:
        `lattice` -

  - ### Method Detail

    - #### access

          public ARXLattice.ARXNode.Access access()

      Alter associated fields.
      Returns:

    - #### expand

          public void expand()

      Materializes any non-materialized predecessors and successors

    - #### getAnonymity

          public ARXLattice.Anonymity getAnonymity()

      Returns the anonymity property.
      Returns:

    - #### getAttributes

          public java.util.Map<java.lang.Integer,java.lang.Object> getAttributes()

      Returns the attributes.
      Returns:

    - #### getDimension

          public int getDimension(java.lang.String attr)

      Returns the index of an attribute.
      Parameters:
        `attr` -
      Returns:

    - #### getGeneralization

          public int getGeneralization(java.lang.String attribute)

      Returns the generalization for the attribute.
      Parameters:
        `attribute` -
      Returns:

    - #### getHighestScore

          public InformationLoss<?> getHighestScore()

      Returns the highest score. Lower is better.
      Returns:

    - #### getLowestScore

          public InformationLoss<?> getLowestScore()

      Returns the highest score. Lower is better.
      Returns:

    - #### getMaximumInformationLoss

          @Deprecated
          public InformationLoss<?> getMaximumInformationLoss()

      Deprecated.
      Returns the maximal information loss. This method is deprecated. Please use getHighestScore() instead.
      Returns:

    - #### getMinimumInformationLoss

          @Deprecated
          public InformationLoss<?> getMinimumInformationLoss()

      Deprecated.
      Returns the minimal information loss. This method is deprecated. Please use getLowestScore() instead.
      Returns:

    - #### getPredecessors

          public ARXLattice.ARXNode[] getPredecessors()

      The predecessors.
      Returns:

    - #### getQuasiIdentifyingAttributes

          public java.lang.String[] getQuasiIdentifyingAttributes()

      Returns the quasi identifiers.
      Returns:

    - #### getSuccessors

          public ARXLattice.ARXNode[] getSuccessors()

      The successors.
      Returns:

    - #### getTotalGeneralizationLevel

          public int getTotalGeneralizationLevel()

      Returns the sum of all generalization levels.
      Returns:

    - #### getTransformation

          public int[] getTransformation()

      Returns the transformation as an array.
      Returns:

    - #### isAnonymous

          @Deprecated
          public ARXLattice.Anonymity isAnonymous()

      Deprecated.
      Returns the anonymity property.
      Returns:

    - #### isChecked

          public boolean isChecked()

      Returns if the node has been checked explicitly.
      Returns:

    - #### render

          public ElementData render()

      Renders this object
      Returns:

    - #### getId

          protected java.lang.Integer getId()

      Returns a node's internal id.
      Returns:

    - #### getLowerBound

          protected InformationLoss<?> getLowerBound()

      Returns a node's lower bound, if any.
      Returns:

    - #### setId

          protected void setId(int id)

      Internal method that sets the id.
      Parameters:
        `id` -